Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

## Class ChargesRecord3

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_08.ChargesRecord3

    public class ChargesRecord3
    extends java.lang.Object

Java class for ChargesRecord3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ChargesRecord3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}CreditDebitCode" minOccurs="0"/>
             <element name="ChrgInclInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}ChargeIncludedIndicator" minOccurs="0"/>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}ChargeType3Choice" minOccurs="0"/>
             <element name="Rate" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}PercentageRate" minOccurs="0"/>
             <element name="Br" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}ChargeBearerType1Code" minOccurs="0"/>
             <element name="Agt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="Tax" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}TaxCharges2" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected BranchAndFinancialInstitutionIdentification6` `agt`
`protected ActiveOrHistoricCurrencyAndAmount` `amt`
`protected ChargeBearerType1Code` `br`
`protected CreditDebitCode` `cdtDbtInd`
`protected java.lang.Boolean` `chrgInclInd`
`protected java.math.BigDecimal` `rate`
`protected TaxCharges2` `tax`
`protected ChargeType3Choice` `tp`

### Constructor Summary

Constructors
`ChargesRecord3()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BranchAndFinancialInstitutionIdentification6` `getAgt()` Gets the value of the agt property.
`ActiveOrHistoricCurrencyAndAmount` `getAmt()` Gets the value of the amt property.
`ChargeBearerType1Code` `getBr()` Gets the value of the br property.
`CreditDebitCode` `getCdtDbtInd()` Gets the value of the cdtDbtInd property.
`java.math.BigDecimal` `getRate()` Gets the value of the rate property.
`TaxCharges2` `getTax()` Gets the value of the tax property.
`ChargeType3Choice` `getTp()` Gets the value of the tp property.
`java.lang.Boolean` `isChrgInclInd()` Gets the value of the chrgInclInd property.
`void` `setAgt​(BranchAndFinancialInstitutionIdentification6 value)` Sets the value of the agt property.
`void` `setAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the amt property.
`void` `setBr​(ChargeBearerType1Code value)` Sets the value of the br property.
`void` `setCdtDbtInd​(CreditDebitCode value)` Sets the value of the cdtDbtInd property.
`void` `setChrgInclInd​(java.lang.Boolean value)` Sets the value of the chrgInclInd property.
`void` `setRate​(java.math.BigDecimal value)` Sets the value of the rate property.
`void` `setTax​(TaxCharges2 value)` Sets the value of the tax property.
`void` `setTp​(ChargeType3Choice value)` Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### amt

    protected ActiveOrHistoricCurrencyAndAmount amt

#### cdtDbtInd

    protected CreditDebitCode cdtDbtInd

#### chrgInclInd

    protected java.lang.Boolean chrgInclInd

#### tp

    protected ChargeType3Choice tp

#### rate

    protected java.math.BigDecimal rate

#### br

    protected ChargeBearerType1Code br

#### agt

    protected BranchAndFinancialInstitutionIdentification6 agt

#### tax

    protected TaxCharges2 tax

### Constructor Detail

#### ChargesRecord3

    public ChargesRecord3()

### Method Detail

#### getAmt

    public ActiveOrHistoricCurrencyAndAmount getAmt()

Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setAmt

    public void setAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

#### getCdtDbtInd

    public CreditDebitCode getCdtDbtInd()

Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

#### setCdtDbtInd

    public void setCdtDbtInd​(CreditDebitCode value)

Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`

#### isChrgInclInd

    public java.lang.Boolean isChrgInclInd()

Gets the value of the chrgInclInd property.

Returns:
  possible object is `Boolean`

#### setChrgInclInd

    public void setChrgInclInd​(java.lang.Boolean value)

Sets the value of the chrgInclInd property.

Parameters:
  `value` - allowed object is `Boolean`

#### getTp

    public ChargeType3Choice getTp()

Gets the value of the tp property.

Returns:
  possible object is `ChargeType3Choice`

#### setTp

    public void setTp​(ChargeType3Choice value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `ChargeType3Choice`

#### getRate

    public java.math.BigDecimal getRate()

Gets the value of the rate property.

Returns:
  possible object is `BigDecimal`

#### setRate

    public void setRate​(java.math.BigDecimal value)

Sets the value of the rate property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getBr

    public ChargeBearerType1Code getBr()

Gets the value of the br property.

Returns:
  possible object is `ChargeBearerType1Code`

#### setBr

    public void setBr​(ChargeBearerType1Code value)

Sets the value of the br property.

Parameters:
  `value` - allowed object is `ChargeBearerType1Code`

#### getAgt

    public BranchAndFinancialInstitutionIdentification6 getAgt()

Gets the value of the agt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

#### setAgt

    public void setAgt​(BranchAndFinancialInstitutionIdentification6 value)

Sets the value of the agt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

#### getTax

    public TaxCharges2 getTax()

Gets the value of the tax property.

Returns:
  possible object is `TaxCharges2`

#### setTax

    public void setTax​(TaxCharges2 value)

Sets the value of the tax property.

Parameters:
  `value` - allowed object is `TaxCharges2`